MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030580Open CASCADE[OCCT] OCCT:Configurationpublic2019-03-15 14:262019-03-19 10:32
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030580: Configuration, CMake - introduce BUILD_RELEASE_DISABLE_EXCEPTIONS option managing No_Exception macros
DescriptionCurrently, No_Exception is defined unconditionally for Release builds.
It is desired making this behavior optional to perform regression testing on Release builds and detecting broken code.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029181assignedapn Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 

-  Notes
(0082984)
git (administrator)
2019-03-15 14:29

Branch CR30580 has been created by kgv.

SHA-1: db36485cfd7e37ca68087238d23f3f6493ea920e


Detailed log of new commits:

Author: kgv
Date: Fri Mar 15 14:24:15 2019 +0300

    0030580: Configuration, CMake - introduce BUILD_RELEASE_DISABLE_EXCEPTIONS option managing No_Exception macros
(0082985)
kgv (developer)
2019-03-15 14:30

Patch is ready for review.
(0083077)
git (administrator)
2019-03-19 10:32

Branch CR30580 has been deleted by inv.

SHA-1: db36485cfd7e37ca68087238d23f3f6493ea920e

- Related Changesets
occt: master 6072d597
Timestamp: 2019-03-15 11:24:15
Author: kgv
Committer: apn
Details ] Diff ]
0030580: Configuration, CMake - introduce BUILD_RELEASE_DISABLE_EXCEPTIONS option managing No_Exception macros
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-15 14:26 kgv New Issue
2019-03-15 14:26 kgv Assigned To => bugmaster
2019-03-15 14:29 git Note Added: 0082984
2019-03-15 14:30 kgv Note Added: 0082985
2019-03-15 14:30 kgv Assigned To bugmaster => apn
2019-03-15 14:30 kgv Status new => resolved
2019-03-15 14:30 kgv Relationship added related to 0029181
2019-03-15 17:11 apn Test case number => Not needed
2019-03-15 17:11 apn Assigned To apn => bugmaster
2019-03-15 17:11 apn Status resolved => reviewed
2019-03-15 17:12 apn Status reviewed => tested
2019-03-17 15:40 apn Changeset attached => occt master 6072d597
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:32 git Note Added: 0083077


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker